package com.community.huiju.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.community.commom.session.UserElement;
import com.community.huiju.common.base.ResponseBean;
import com.community.huiju.model.TaFace;
import com.community.huiju.model.TaUser;
import org.springframework.web.multipart.MultipartFile;

public interface FaceServiceI extends IService<TaFace> {
    /**
     * 添加人脸
     * @param userId 用户Id
     *  @param  uploadFile
     *  @param userVerifyId 审核id
     * @return
     */
    ResponseBean addFace(Integer userId, Integer userVerifyId, MultipartFile uploadFile);

    /**
     * 更新当前人脸
     *  @param userId 用户Id
     *  @param  uploadFile
     *  @param userVerifyId 审核id
     * @return
     */
    ResponseBean updateFace(Integer userId, Integer userVerifyId, MultipartFile uploadFile);

    /**
     * 当前登入人是否有人脸信息
     * @param userId
     * @param userVerifyId
     * @return
     */
    ResponseBean getTaFaceByUserId(Integer userId, Integer userVerifyId);

    /**
     * 删除人脸
     * @param userId
     * @param userVerifyId
     * @return
     */
    ResponseBean deleteFace(Integer userId, Integer userVerifyId);
}
