package com.community.huiju.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.community.huiju.common.base.ResponseBean;
import com.community.huiju.model.TaUserVerify;

/**
 * <p>
 * app端用户审核表，存放用户的角色还有房产信息 服务类
 * </p>
 *
 * @author jobob
 * @since 2019-05-16
 */
public interface ITaUserVerifyService extends IService<TaUserVerify> {

    /**
     * 添加 房产关联
     * @param userId
     * @param communityId
     * @param phaseId
     * @param buildingId
     * @param unitId
     * @param levelId
     * @param roomNoId
     * @return
     */
    ResponseBean addUserVerify(Integer userId, Integer roleId,Integer communityId, Integer phaseId, Integer buildingId, Integer unitId, Integer levelId, Integer roomNoId);

    /**
     * 删除房产关联关系
     * @param userId
     * @param userVerifyId
     * @return
     */
    ResponseBean deleteUserVerify(Integer userId, Integer userVerifyId);

    /**
     * 查询 房产关联关系列表，根据 用户Id 和 小区Id
     * @param userId
     * @param communityId
     * @return
     */
    ResponseBean getUserVerifyByUserIdAndCommunityId(Integer userId, Integer communityId);


    /**
     * 查询 房产信息， 根据 用户id 和 房产审核id
     * @param userId
     * @param userVerifyId
     * @return
     */
    ResponseBean getUserVerifyByByUserIdAndUserVerifyId(Integer userId, Integer userVerifyId);

}
