package com.community.huiju.feign;

import com.community.commom.mode.ResponseBean;
import com.community.huiju.feign.impl.TaUserFeignFallBack;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.*;

@FeignClient(value = "app-api", fallback = TaUserFeignFallBack.class)
public interface TaUserFeignService {

    /**
     * 注册
     *      JSON类型
     *      userName用户姓名;idCard身份证;gender性别(1：男  2：女);loginName手机号;code验证码
     *
     * @param parameter
     * @return
     */
    @RequestMapping(value = "/user/register",method = RequestMethod.POST)
    ResponseBean register(@RequestBody String parameter);

    /**
     * 推送海康人员添加
     * @param appUserId
     * @return
     */
    @RequestMapping(value = "/pushHKPerson/{appUserId}", method = RequestMethod.POST)
    ResponseBean pushHKPerson(@PathVariable("appUserId") Integer appUserId, @RequestParam("userVerifyId") Integer userVerifyId);

    /**
     * 异动下载门禁权限
     * @return
     */
    @RequestMapping(value = "/downloadAuthorityByDeviceUuids", method = RequestMethod.POST)
    ResponseBean downloadAuthorityByDeviceUuids();



}
